Description

There is a possibility in the layer properties window, Fields tab to define Edit widgets. One of them is just opposite what the name suggest

– “Unique values”. In most DBMS unique is UNIQUE – no duplication is allowed. The name of this widget should be changed.

By the way – there is also a widget “UUID generator”. Funny! UUID means Universally Unique IDentifier.

History

#1 - 2012-09-17 11:04 PM - zirneklitis -

May be “_Value Collection_” is more appropriate name for the given widget.

#2 - 2013-01-22 09:16 PM - Nathan Woodrow

zirneklitis - wrote:

In most DBMS unique is UNIQUE – no duplication is allowed

This is what happens. If you are using a database based provider for a layer it will do a GROUP BY to return the unique values for that column. I have

never had it return a item more then once.

Funny! UUID means Universally Unique IDentifier.

Not sure what the issue is.  The widget is a Universally Unique Identifier generator.

#3 - 2013-01-22 11:09 PM - zirneklitis -

The problematic name is for widget “Unique values”. The “UUID generator” was mentioned to point to the quite opposite use of the word “unique” into the

same window. The “UUID generator” works as expected. No the same with “Unique values”.

When the widget “Unique values” is chosen with editable option on, any value could be entered. Look at the example of entered values:

id,N,10,0    kods,C,3

1    AAA

2    AAB

1    AAC

4    AAA

1    AAA
4    AAC

4    AAC

As You can see, there is no uniqueness.

When the widget “Unique values” is chosen with editable option off, only existing values could be chosen.

#4 - 2014-06-24 05:03 AM - Paolo Cavallini

- Category set to Edit widget

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
